PramatiSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.pramati.ejb.PramatiSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.pramati.ejb
Class PramatiSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.pramati.ejb.PramatiSubTask

All Implemented Interfaces:
  Serializable

public class PramatiSubTask
extends AbstractEjbDeploymentDescriptorSubTask

Generates Pramati deployment files

Author:
  Patrick Lightbody
See Also:
  Serialized Form
ant.element
  display-name="Pramati" name="pramati" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  Feb 21, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`PramatiSubTask()`

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`String` | `getDatasource()` Gets the Datasource attribute of the PramatiSubTask object
`String` | `getJarName()` Gets the JarName attribute of the PramatiSubTask object
`String` | `getVersion()` Gets the Version attribute of the PramatiSubTask object
`void` | `setDatasource(String new_data_source)` Sets the Datasource attribute of the PramatiSubTask object
`void` | `setJarName(String jarName)` Sets the JarName attribute of the PramatiSubTask object
`void` | `setVersion(String version)` Sets the Version attribute of the PramatiSubTask object
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PramatiSubTask

    public PramatiSubTask()

Method Detail

### getDatasource

    public String getDatasource()

  Gets the Datasource attribute of the PramatiSubTask object

  Returns:
    The Datasource value

### getVersion

    public String getVersion()

  Gets the Version attribute of the PramatiSubTask object

  Returns:
    The Version value

### getJarName

    public String getJarName()

  Gets the JarName attribute of the PramatiSubTask object

  Returns:
    The JarName value

### setDatasource

    public void setDatasource(String new_data_source)

  Sets the Datasource attribute of the PramatiSubTask object

  Parameters:
    `new_data_source` - The new Datasource value

### setVersion

    public void setVersion(String version)

  Sets the Version attribute of the PramatiSubTask object

  Parameters:
    `version` - The new Version value

### setJarName

    public void setJarName(String jarName)

  Sets the JarName attribute of the PramatiSubTask object

  Parameters:
    `jarName` - The new JarName value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### execute

    public void execute()
                 throws XDocletException

  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD